Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class FIBLongHandler

    java.lang.Object
      org.apache.poi.hwpf.model.FIBLongHandler

    public final class FIBLongHandler

extends java.lang.Object

Handles the fibRgLw / The FibRgLw97 part of the FIB (File Information Block)

Field Summary
`static int` | `CBMAC`
`static int` | `CCPATN`
`static int` | `CCPEDN`
`static int` | `CCPFTN`
`static int` | `CCPHDD`
`static int` | `CCPHDRTXBX`
`static int` | `CCPMCR`
`static int` | `CCPTEXT`
`static int` | `CCPTXBX`
`static int` | `CPNBTECHP`
`static int` | `CPNBTELVC`
`static int` | `CPNBTEPAP`
`static int` | `FCISLANDFIRST`
`static int` | `FCISLANDLIM`
`static int` | `PNCHPFIRST`
`static int` | `PNFBPCHPFIRST`
`static int` | `PNFBPLVCFIRST`
`static int` | `PNFBPPAPFIRST`
`static int` | `PNLVCFIRST`
`static int` | `PNPAPFIRST`
`static int` | `PRODUCTCREATED`
`static int` | `PRODUCTREVISED`

Constructor Summary
`FIBLongHandler(byte[] mainStream, int offset)`

Method Summary
`int` | `getLong(int longCode)` Refers to a 32 bit windows "long" same as a Java int
`void` | `setLong(int longCode, int value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CBMAC

    public static final int CBMAC

See Also:
  Constant Field Values

### PRODUCTCREATED

    public static final int PRODUCTCREATED

See Also:
  Constant Field Values

### PRODUCTREVISED

    public static final int PRODUCTREVISED

See Also:
  Constant Field Values

### CCPTEXT

    public static final int CCPTEXT

See Also:
  Constant Field Values

### CCPFTN

    public static final int CCPFTN

See Also:
  Constant Field Values

### CCPHDD

    public static final int CCPHDD

See Also:
  Constant Field Values

### CCPMCR

    public static final int CCPMCR

See Also:
  Constant Field Values

### CCPATN

    public static final int CCPATN

See Also:
  Constant Field Values

### CCPEDN

    public static final int CCPEDN

See Also:
  Constant Field Values

### CCPTXBX

    public static final int CCPTXBX

See Also:
  Constant Field Values

### CCPHDRTXBX

    public static final int CCPHDRTXBX

See Also:
  Constant Field Values

### PNFBPCHPFIRST

    public static final int PNFBPCHPFIRST

See Also:
  Constant Field Values

### PNCHPFIRST

    public static final int PNCHPFIRST

See Also:
  Constant Field Values

### CPNBTECHP

    public static final int CPNBTECHP

See Also:
  Constant Field Values

### PNFBPPAPFIRST

    public static final int PNFBPPAPFIRST

See Also:
  Constant Field Values

### PNPAPFIRST

    public static final int PNPAPFIRST

See Also:
  Constant Field Values

### CPNBTEPAP

    public static final int CPNBTEPAP

See Also:
  Constant Field Values

### PNFBPLVCFIRST

    public static final int PNFBPLVCFIRST

See Also:
  Constant Field Values

### PNLVCFIRST

    public static final int PNLVCFIRST

See Also:
  Constant Field Values

### CPNBTELVC

    public static final int CPNBTELVC

See Also:
  Constant Field Values

### FCISLANDFIRST

    public static final int FCISLANDFIRST

See Also:
  Constant Field Values

### FCISLANDLIM

    public static final int FCISLANDLIM

See Also:
  Constant Field Values

Constructor Detail

### FIBLongHandler

    public FIBLongHandler(byte[] mainStream,
                          int offset)

Method Detail

### getLong

    public int getLong(int longCode)

  Refers to a 32 bit windows "long" same as a Java int

  Parameters:
    `longCode` - FIXME: Document this!
  Returns:
    FIXME: Document this!

### setLong

    public void setLong(int longCode,
                        int value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.